> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solomon.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar custos

> Retorna todos os custos adicionais manuais da loja, agrupados por frequência (`monthly`, `weekly`, `daily`, `specific`). Requer o escopo `costs.read`.



## OpenAPI

````yaml get /costs
openapi: 3.1.0
info:
  title: Solomon Admin API
  description: API aberta para integração com a Solomon
  license:
    name: MIT
  version: 1.1.0
servers:
  - url: https://admin-api.sandbox.solomon.com.br/admin/v1
  - url: https://admin-api.solomon.com.br/admin/v1
security:
  - ApiKeyAuth: []
paths:
  /costs:
    get:
      summary: Listar custos adicionais
      description: >-
        Retorna todos os custos adicionais manuais da loja, agrupados por
        frequência (`monthly`, `weekly`, `daily`, `specific`). Requer o escopo
        `costs.read`.
      operationId: listCosts
      responses:
        '200':
          description: Custos adicionais agrupados por frequência
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostsListResponse'
        '403':
          description: Escopo `costs.read` ausente
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CostsListResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: object
          description: Buckets por frequência; cada um é um mapa `cost_id` → custo.
          properties:
            monthly:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/CostEntry'
            weekly:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/CostEntry'
            daily:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/CostEntry'
            specific:
              type: object
              additionalProperties:
                $ref: '#/components/schemas/CostEntry'
        request_id:
          type: string
        timestamp:
          type: string
    Error:
      type: object
      properties:
        success:
          type: boolean
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
        request_id:
          type: string
        timestamp:
          type: string
    CostEntry:
      type: object
      description: Um custo adicional como armazenado.
      properties:
        name:
          type: string
        date:
          type: string
          description: Data inicial (ISO `YYYY-MM-DD`)
        end_date:
          type: string
          description: Data final (ISO `YYYY-MM-DD`) ou vazio
        status:
          type: string
          enum:
            - active
            - inactive
        type:
          type: string
          example: marketing
        value:
          type: number
          example: 3500
        utm_source:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      description: API Key para autenticação

````